<?php
/**
 * Show the dismissible admin notice
 *
 * @package Teydea_Studio\Careers
 */

namespace Teydea_Studio\Careers\Modules\Admin_Notice;

use Teydea_Studio\Careers\Dependencies\Universal_Modules;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // @codeCoverageIgnore
}

/**
 * The "Module_Admin_Notice" class
 */
final class Module_Admin_Notice extends Universal_Modules\Admin_Notice\Module_Admin_Notice {
	/**
	 * Get the message to show
	 *
	 * @return string Message to show.
	 */
	protected function get_message(): string {
		return sprintf(
			'<strong>%1$s</strong><br>%2$s',
			__( 'Thank you for activating the Careers theme!', 'careers' ),
			sprintf(
				// Translators: %s - "about the theme" page URL in the admin panel.
				__( 'Go to the <a href="%s">"About the theme"</a> page to find helpful resources (incl. demo data dump file) and recommendations.', 'careers' ),
				admin_url( 'themes.php?page=careers-settings-page' ),
			),
		);
	}
}
